## ngcp-rest-api 13.5.1.4+0~mr13.5.1.4

=== debian/changelog ===
ngcp-rest-api (13.5.1.4+0~mr13.5.1.4) unstable; urgency=medium

  [ Kirill Solomko ]
  * [ab480c7] MT#63880 fix task agent error exceptions

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 06 Nov 2025 20:45:13 +0100

ngcp-rest-api (13.5.1.3+0~mr13.5.1.3) unstable; urgency=medium

  [ Kirill Solomko ]
  * [35b4da2] MT#63050 auto assign default email templates to customers
  * [2f53484] MT#63829 fix rewrite rules pattern inflate/deflate for PATCH

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 06 Nov 2025 16:18:43 +0100

ngcp-rest-api (13.5.1.2+0~mr13.5.1.2) unstable; urgency=medium

  [ Kirill Solomko ]
  * [5a6482a] MT#63829 add rewrite rules pattern validation and inflate

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 03 Nov 2025 17:31:25 +0100

ngcp-rest-api (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:54:41 +0200

ngcp-rest-api (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  [ Bertold Vincze ]
  * [932b9b4] MT#63074 Enhance customer & reseller phonebook
  * [c5f2cb0] MT#62586 migrate /customers endpoint (PUT, PATCH)
  * [b15a277] MT#63096 Add support for ordering by id
  * [6f6ab70] MT#62941 Migrate customerbalances to /customers/balances
  * [f32fe2e] MT#62586 Fix contact_id expand on customer response
  * [341b50e] MT#62586 Fix controller function order in customer controller
  * [fbe9b40] MT#63203 Revert temporary custom tx and manager usage
  * [c6445fc] MT#63461 Migrate peeringgroups to API v2
  * [1b5a797] MT#63467 Migrate /ncoslevels to API V2
  * [3efedca] MT#63482 Add new flag invert_time_set to ncos levels
  * [1641147] MT#63472 Migrate /api/ncospatterns to API V2
  * [41dc80a] MT#63487 Migrate api/peeringservers to API V2
  * [18d7a64] MT#63461 Invoke task agents in peering group delete

  [ Kirill Solomko ]
  * [7b49ac4] MT#63193 add scoped typeorm transactions support
  * [f43c779] MT#63481 add runOnTransactionCommit for rwr reloadDialPlan()

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:45:21 +0200

ngcp-rest-api (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Bertold Vincze ]
  * [53fce1c] MT#62554 Improve AcceptHeader
  * [f2b8376] MT#62519 Remove recursive loading of ACLRole and Admins
  * [d69a26a] MT#62824 Make purge delete all phonebook entry
  * [392d99f] MT#62882 Rewrite rule update should work in a TX
  * [e6a4f19] MT#62881 Add task-agent notifcation to rwr sets & rules
  * [0744e3f] MT#62881 Fix destination on task agent notification
  * [8f4b737] MT#62586 migrate /customers endpoint (GET, POST, DELETE)

  [ Kirill Solomko ]
  * [1c60fe1] MT#62825 move redis session db to a constant

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:44:20 +0200

ngcp-rest-api (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [00f29b6] MT#62077 add engine versions dependency for node and yarn
  * [16f68a7] MT#62116 fix domain for user bans, auth minor improvements

  [ Bertold Vincze ]
  * [f84b31e] MT#61863 Change key redis fail & ban key structure
  * [6ebaf25] MT#62121 Add message to inform client if a user is locked out
  * [0cbbca6] MT#61863 Implement /bans & /bans/admins
  * [34fb256] MT#61863 Implement /bans/subscribers
  * [7a24e54] MT#62177 Add new fields to banned admins and subscriber responses
  * [e9a210a] MT#62230 Change links to UrlReference array
  * [7dd6421] MT#62208 Migrate v1 /pbxuser to v2 /pbx/users
  * [4e0ebf7] MT#62177 Fix /bans/subscribers
  * [87c7246] MT#62257 Fix broken expand caused by wrong request type
  * [c8d8a90] MT#62250 Migrate /api/resellerphonebookentries
  * [a2fae5c] MT#62250 Fix swagger doc tags & localization
  * [9ceac92] MT#62274 Improve ResponseDtos
  * [ed0ec5a] MT#62274 Early return on not provided response dto options
  * [36892d5] MT#62288 Enable customer module, disable it internally
  * [b18b764] MT#62290 Add username & domain to pbx user response
  * [8600a74] MT#62299 Improve indent of switch cases
  * [3e27cfb] MT#62269 Migrate /api/customerphonebookentries
  * [f380b07] MT#62308 Fix user bans
  * [8f670ce] MT#62298 Migrate /api/subscriberphonebookentries
  * [ee18711] MT#62375 Implement CSV support for reseller phonebook
  * [71338a4] MT#62398 Implement CSV support for customer phonebook
  * [d4b0477] MT#62399 Implement CSV support for subscriber phonebook
  * [7c62b84] MT#62400 Change header for export, add documentation for phonebook
  * [5059371] MT#62444 Add OR support for searchable field values
  * [b12fea0] MT#62477 Implement 2FA support
  * [63e3f83] MT#62519 Rename admin internal entity props to camelCase

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:28:47 +0200

ngcp-rest-api (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Bertold Vincze ]
  * [a51530c] MT#61715 Validate only first item of response array
  * [3115a48] MT#60537 header rule condition adapt e2e tests to include rwrs
  * [05304ae] MT#61776 Database access in E2E tests
  * [f7f5638] MT#61840 Add embedded rules creation for RWR Set

  [ Guillem Jover ]
  * [89f4521] MT#55524 debian: Switch ngcp-rest-api package from Architecture all to any

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:15:34 +0100

ngcp-rest-api (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Bertold Vincze ]
  * [a6f1218] MT#60857 Implement passwordchange for admins and subscribers
  * [6529e0d] MT#61190 Add password_last_modify_time to AdminResponse
  * [5fdfcfa] MT#60503 Fix license handling
  * [87a6c7d] MT#61202 Fix fileshare endpoint
  * [223f3fe] MT#61247 Add priority as a searchable field for HM/sets/rules
  * [5d61c4a] MT#61245 Introduce type safe configuration
  * [11b4694] MT#61199 Migrate eslint to latest
  * [de2d2b1] MT#61300 Fix subscriber set creation
  * [9601a63] MT#61300 Fix sr query immutability in HM/sets/rules/actions/conditions
  * [02edcad] MT#61317 Enable strict linting

