=== debian/control ===
Source: ngcp-rest-api
Section: web
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 gyp,
 libsystemd-dev,
 nodejs (>= 18),
Standards-Version: 4.6.2
Homepage: https://www.sipwise.com/

Package: ngcp-rest-api
Architecture: any
Depends:
 nodejs (>= 18),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Javascript based REST API for NGCP
 Replacement of old Perl based NGCP REST API.
