=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

YARN_BIN := ".yarn/releases/yarn-1.22.22.js"

%:
	dh $@

override_dh_auto_install:
	$(YARN_BIN) cache clean
	$(YARN_BIN) install
	$(YARN_BIN) test
	$(YARN_BIN) build:prod
