## ngcp-rest-api 14.0.1.1+0~mr14.0.1.1

=== debian/changelog ===
ngcp-rest-api (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:33:02 +0100

ngcp-rest-api (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Bertold Vincze ]
  * [3a6202e] MT#63520 Migrate /api/bannedusers to api/v2/bans/registrations
  * [4c358bc] MT#63519 Migrate /api/bannedips to api/v2/bans/ips
  * [8f6e81e] MT#63521 Consolidate task-agent calls into a helper module
  * [32ec552] MT#63608 Migrate api/invoicetemplates to api/v2/templates/invoices
  * [033b284] MT#63608 Fix swagger docs for invoice templates
  * [ae72616] MT#63634 Migrate api/peeringinboundrules to api/v2/peerings/groups/inbound-rules
  * [3e59432] MT#63633 Migrate api/peeringrules to api/v2/peerings/groups/rules

  [ Kirill Solomko ]
  * [8dcf39c] MT#63829 add rewrite rules pattern validation and inflate
  * [370bc5f] MT#63050 auto assign default email templates to customers
  * [0a8bacb] MT#63829 fix rewrite rules pattern inflate/deflate for PATCH
  * [f7001e3] MT#63880 fix task agent error exceptions
  * [32f42d9] MT#63793 fix missing peering inbound rule priority field
  * [be60a34] MT#63821 fix 'subscriber' JWT auth
  * [a0b7043] MT#63838 ncos/levels add expand by reseller_id
  * [ce1dca3] MT#63838 fix/rebuild jenkins last commit

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:56:54 +0100

ngcp-rest-api (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Bertold Vincze ]
  * [932b9b4] MT#63074 Enhance customer & reseller phonebook
  * [c5f2cb0] MT#62586 migrate /customers endpoint (PUT, PATCH)
  * [b15a277] MT#63096 Add support for ordering by id
  * [6f6ab70] MT#62941 Migrate customerbalances to /customers/balances
  * [f32fe2e] MT#62586 Fix contact_id expand on customer response
  * [341b50e] MT#62586 Fix controller function order in customer controller
  * [fbe9b40] MT#63203 Revert temporary custom tx and manager usage
  * [c6445fc] MT#63461 Migrate peeringgroups to API v2
  * [1b5a797] MT#63467 Migrate /ncoslevels to API V2
  * [3efedca] MT#63482 Add new flag invert_time_set to ncos levels
  * [1641147] MT#63472 Migrate /api/ncospatterns to API V2
  * [41dc80a] MT#63487 Migrate api/peeringservers to API V2
  * [18d7a64] MT#63461 Invoke task agents in peering group delete

  [ Kirill Solomko ]
  * [7b49ac4] MT#63193 add scoped typeorm transactions support
  * [f43c779] MT#63481 add runOnTransactionCommit for rwr reloadDialPlan()

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:45:23 +0200
